function DATA =  fMsloadYS(filename)


% loads FF file
% global DATA %METHOD
NDATA.ff = par('par_default');
% [nFileN,nPathName] = uigetfile([NDATA.ff.defaultpath '*.ff'],'Select the MS file');
% if ischar(nFileN)
%     FileN = nFileN;
%     FileN = strrep(FileN,'.FF','');
%     FileN = strrep(FileN,'.ff','');
%     PathName = nPathName;
%     DATA = NDATA;
%     filename=strcat(PathName,FileN,'.FF');
%     %warning off; % avoids version warnings
%     %RESET
% %     set(hs.fiatflux,'WindowButtonMotionFcn','ratio(''fFig_WindowButtonMotionFcn'',gcbo,[],guidata(gcbo),[],[])');
    load(filename,'*','-mat');
    if exist('filever'),
        switch filever,
            case '1.0'
                if exist('S_FR')
                    DATA.ff = S_DATA;
                    DATA.ff.p = NDATA.ff.p;
%                     DATA.data.raw = full(S_DATA.MSmatrix);
%                     rmfield(DATA.ff,'MSmatrix');
                    DATA.file.ff.path = PathName;
                    DATA.file.ff.name = FileN;
                    DATA.ff.A = par('reset_frags');
                    for i = 1:length(S_FR)
                        DATA.ff.A(i).frag.names = S_FR(i).names;
                        DATA.ff.A(i).frag.autoweight = S_FR(i).autoweight;
                        DATA.ff.A(i).frag.fitweight = S_FR(i).fitweight;
                        DATA.ff.A(i).frag.show = S_FR(i).show;
                    end
                    DATA.ff.metadata.desc1 = GUI.desc;
                    DATA.ff.metadata.desc2 = GUI.desc2;
                    DATA.acquisition.instr = 'Quad';
                else %newly converted file, uses defaults.
                    DATA.ff.A = par('reset_frags');
                    DATA.ff.p = NDATA.ff.p;                    
                    DATA.data.raw = full(S_DATA.MSmatrix);
%                     rmfield(DATA.ff,'MSmatrix');
                    DATA.file.ff.path = filename;
                    DATA.file.ff.name = filename;
                    DATA.acquisition.instr = 'Quad';
                end
%                 set(hs.SQL,'String','GC-Quad');
            case '1.1'
                DATA = S_DATA;
                DATA.data.raw = full(DATA.data.raw);
                DATA.file.ff.path = PathName;
                DATA.file.ff.name = FileN;
%                 set(hs.SQL,'String','GC-Quad');
            case '2.0'
                if exist('S_FR'),
                    DATA = S_DATA;
                    DATA.ff.p.noise = 5e3;
                    DATA.file.ff.path = PathName;
                    DATA.file.ff.name = FileN;
                    DATA.ff.A = S_FR;
                    DATA.ff.metadata.desc1 = GUI.desc;
                    DATA.ff.metadata.desc2 = GUI.desc2;
                else 
                    DATA = S_DATA;                    
                    DATA.ff.A = par('reset_frags');
                    DATA.ff.p = NDATA.ff.p;
                    DATA.ff.p.noise = 5e3;
                    DATA.ff.maxima = S_DATA.ff.maxima;
                    if isfield(S_DATA.ff,'spectra')
                        DATA.ff.spectra = S_DATA.ff.spectra;
                    end
                    DATA.file.ff.path = PathName;
                    DATA.file.ff.name = FileN;
                    DATA.acquisition.instr = 'TOF';
                    DATA.ff.metadata.desc1 = '';
                    DATA.ff.metadata.desc2 = '';
                end
                if ~isstruct(DATA.peaks)
                    if isfinite(DATA.peaks)
                        n = DATA.peaks;
                        DATA = rmfield(DATA,'peaks');
                        DATA.peaks.n = n;
                    end
                    if isfield(DATA,'range')
                        DATA.acquisition.range = DATA.range;
                        DATA = rmfield(DATA,'range');
                    end
                    if isfield(DATA,'name')
                        DATA.peaks.name = DATA.name;
                        DATA = rmfield(DATA,'name');
                    end
                    if isfield(DATA,'probability')
                        DATA.peaks.probability = DATA.probability;
                        DATA = rmfield(DATA,'probability');
                    end
                    if isfield(DATA,'similarity')
                        DATA.peaks.similarity = DATA.similarity;
                        DATA = rmfield(DATA,'similarity');
                    end
                    if isfield(DATA,'rt')
                        DATA.peaks.rt = DATA.rt;
                        DATA = rmfield(DATA,'rt');
                    end
                    if isfield(DATA,'area')
                        DATA.peaks.area = DATA.area;
                        DATA = rmfield(DATA,'area');
                    end
                    if isfield(DATA,'sn')
                        DATA.peaks.sn = DATA.sn;
                        DATA = rmfield(DATA,'sn');
                    end
                    if isfield(DATA,'CAS')
                        DATA.peaks.CAS = DATA.CAS;
                        DATA = rmfield(DATA,'CAS');
                    end
                    if isfield(DATA,'unique_mass')
                        DATA.peaks.unique_mass = DATA.unique_mass;
                        DATA = rmfield(DATA,'unique_mass');
                    end
                    if isfield(DATA,'ri')
                        DATA.peaks.ri = DATA.ri;
                        DATA = rmfield(DATA,'ri');
                    end
                    if isfield(DATA,'weight')
                        DATA.peaks.weight = DATA.weight;
                        DATA = rmfield(DATA,'weight');
                    end
                    if isfield(DATA,'formula')
                        DATA.peaks.formula = DATA.formula;
                        DATA = rmfield(DATA,'formula');
                    end
                    if isfield(DATA,'integration_begin')
                        DATA.peaks.integration_begin = DATA.integration_begin;
                        DATA = rmfield(DATA,'integration_begin');
                    end
                    if isfield(DATA,'integration_end')
                        DATA.peaks.integration_end = DATA.integration_end;
                        DATA = rmfield(DATA,'integration_end');
                    end
                    if isfield(DATA,'spectra')
                        DATA.peaks.spectra = DATA.spectra;
                        DATA = rmfield(DATA,'spectra');
                    end
                    if isfield(DATA,'scan_duration')
                        DATA.acquisition.scan_duration = DATA.scan_duration;
                        DATA = rmfield(DATA,'scan_duration');
                    end
                    if isfield(DATA,'solvent_delay')
                        DATA.acquisition.solvent_delay = DATA.solvent_delay;
                        DATA = rmfield(DATA,'solvent_delay');
                    end
                    if isfield(DATA,'FR_MS')
                        DATA = rmfield(DATA,'FR_MS');
                    end
                    if isfield(DATA,'dir')
                        DATA = rmfield(DATA,'dir');
                    end
                end
                set(hs.SQL,'String','GC-TOF');
            case '2.1'
                DATA = S_DATA;
                DATA.data.raw = full(DATA.data.raw);
                DATA.file.ff.path = PathName;
                DATA.file.ff.name = FileN;
                set(hs.SQL,'String','GC-TOF');
        end
    else
        return
    end
%     set(hs.desc1,'String',DATA.ff.metadata.desc1);
%     set(hs.desc2,'String',DATA.ff.metadata.desc2);
%     set(hs.show_AA,'Value',1);
%     set(hs.labelName,'String',DATA.file.ff.name);
%     set(hs.model,'Value',DATA.ff.p.model);
%     set(hs.ubiomass,'String',num2str(DATA.ff.p.unlabeled_bm));
%     set(hs.ratio_c1,'String',num2str(DATA.ff.p.glc.c1.f,3));
%     set(hs.ratio_uc,'String',num2str(DATA.ff.p.glc.uc.f,3));
%     set(hs.ratio_natural,'String',num2str(DATA.ff.p.glc.nat.f,3));
%     set(hs.purity_c1,'String',num2str(DATA.ff.p.glc.c1.p,3));
%     set(hs.purity_uc,'String',num2str(DATA.ff.p.glc.uc.p,3));
%     set(hs.mserr,'String',num2str(DATA.ff.p.mserr));
    if ~isfield(DATA.ff,'A');
        DATA.ff.A = par('reset_frags');
    end
    if DATA.ff.maxima == 1
%         set(hs.status,'String','searching peaks...');
        DATA.ff.maxima = ff_autoaa(DATA);
    else
        
    end
%     fReplot(hs);
    if ~isfield(DATA.ff,'spectra')
        DATA.ff = ff_parse(DATA,DATA.data.raw);
    end

    DATA.ff.mdva = ff_correct(DATA.ff);
    [DATA.ff.mdva,DATA.ff.fl] = ff_bmcorr(DATA.ff);
    if ~isfield(DATA.ff.spectra(1,1),'corr_param')
        fResetCM_cb(h, eventdata, hs)
    end
%     set(hs.status,'String','Status: Correcting FL...');
%     str=get(hs.forcefl,'String');
    DATA.ff.res = [];
    DATA.ff.mdvm = [];
%     set(hs.status,'String','fitting...');
    [DATA.ff.mdvm,DATA.ff.res] = ff_fit(DATA.ff);
%     fPloterror(hs);
%     set(hs.status,'String','estimating ratios...');
    DATA.ff.ratios = [];
%     DATA.ff.ratios = ff_metafor(new2glc(DATA.ff));
%     set(hs.status,'String','estimation done');
%     fShowratios(hs);
%     if strcmp(get(hs.autosave,'Checked'),'on'),
%         fSavenow_cb(h, eventdata, hs)
%     end
    FileN=strrep(FileN,'.ff','');
    FileN=strrep(FileN,'.FF','');
%     if FileN==0,
%         set(hs.status,'String','filename error');
%     else
%         set(hs.status,'String','file loaded');
%     end
% end