function Maxima = ff_autoaa(DATA,ANALYTES)
ran = 14;
% c 2004 Nicola Zamboni - FiatFlux
FR = DATA.ff.A;
if nargin==1,
    ANALYTES = 1:length(FR);
end
if isfield(DATA,'peaks')
    for i = 1:length(ANALYTES)
        k = find(strcmp2(DATA.peaks.CAS,FR(ANALYTES(i)).cas));
        if isempty(k)
            k = find(strcmp2(DATA.peaks.name,FR(ANALYTES(i)).name));
        end
        if ~isempty(k)
            [y,im] = max(DATA.peaks.area(k).*DATA.peaks.probability(k).^0.5);
            vip = k(im);
            Maxima(i,1) = round((DATA.peaks.integration_begin(vip,1)-DATA.acquisition.solvent_delay)/DATA.acquisition.scan_duration);
            Maxima(i,2) = round((DATA.peaks.integration_end(vip,1)-DATA.acquisition.solvent_delay)/DATA.acquisition.scan_duration);
            [junk,mi] = max(sum(DATA.data.raw(Maxima(i,1):Maxima(i,2),[FR(i).frag.mz FR(ANALYTES(i)).frag.mz+1]),2));
            Maxima(i,3) = Maxima(i,1)-1+mi;
        else
            vip(di)=0;
        end
    end
else
    MS = DATA.data.raw;
    NOISE = DATA.ff.p.noise;
    ran = 1; % number of m/z values considered per each fragment to compensate for high FL
    par('an_index');
    MS=full(MS);
    Maxima = zeros(length(ANALYTES),3);
    for i = 1:length(ANALYTES)
        k = ANALYTES(i);
        signals = 0;
        cms = zeros(size(MS(:,1)));
        try
            cms(FR(k).range(1):min(FR(k).range(2),length(cms))) = 1;
        catch
            cms(FR(k).range(1):min(FR(k).range(2),length(cms))) = 1;
        end
        for j = 1:length(FR(k).frag.mz)
            if FR(k).frag.autoweight(j) && FR(k).frag.mz(j)+ran-1<size(MS,2),
                cms = cms.*(sum(MS(:,[FR(k).frag.mz(j):FR(k).frag.mz(j)+ran-1]),2).^FR(k).frag.autoweight(j));
                signals = signals + 1;
            end
        end
        if signals>0,
            [a,b] = max(cms);   %assign maximum
            thresh = 0.00001*a;
            windowsize = 5;
            if a %>NOISE,
                Maxima(i,3) = b;
                slope = a;
                lx = b - windowsize;
                while (slope > thresh) && (lx>1)
                    lx = lx - 1;
                    P = polyfit(0:windowsize,cms(lx:lx+windowsize)',1);
                    slope = P(1);
                end
                Maxima(i,1) = lx + windowsize;
                
                slope = -a;
                rx = b + windowsize;
                while (-thresh > slope)
                    rx = rx + 1;
                    P = polyfit(0:windowsize,cms(rx-windowsize:rx)',1);
                    slope = P(1);
                end
                Maxima(i,2) = rx - windowsize;
            end
        end
    end
end


%---
function out = strcmp2(cell,str)
str = upper(str);
for i = 1:length(cell)
    k = strfind(upper(cell{i}),str);
    if isempty(k),
        out(i) = 0;
    else
        out(i) = 1;
    end
end

